# define addtostr(X) if (X) *p++ = X;

char delstr_____[] "~|^`delstr.c:	3.2";

deltastr(yesno,reason,type,rel,lev,datetime,person,history)
char yesno,reason,type;
int rel,lev;
int *datetime;
char *person, *history;
{
	static char str[256];
	register int i;
	register char *p;

	p = str;
	i = 0;
	addtostr(yesno);
	addtostr(reason);
	addtostr(type);

	copy(stringf("%4d.%-4d%s%-6s",
		rel,lev,ctime(datetime),person),p);
	p[33] = p[33+7] = ' ';
	copy(history,p+33+8);
	return(str);
}
